<?php

if (!defined('sugarEntry') || !sugarEntry)
    die('Not A Valid Entry Point');

/* * ***************************************************************************
 * The contents of this file are subject to the RECIPROCAL PUBLIC LICENSE
 * Version 1.1 ("License"); You may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://opensource.org/licenses/rpl.php. Software distributed under the
 * License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND,
 * either express or implied.
 *
 * You may:
 * a) Use and distribute this code exactly as you received without payment or
 *    a royalty or other fee.
 * b) Create extensions for this code, provided that you make the extensions
 *    publicly available and document your modifications clearly.
 * c) Charge for a fee for warranty or support or for accepting liability
 *    obligations for your customers.
 *
 * You may NOT:
 * a) Charge for the use of the original code or extensions, including in
 *    electronic distribution models, such as ASP (Application Service
 *    Provider).
 * b) Charge for the original source code or your extensions other than a
 *    nominal fee to cover distribution costs where such distribution
 *    involves PHYSICAL media.
 * c) Modify or delete any pre-existing copyright notices, change notices,
 *    or License text in the Licensed Software
 * d) Assert any patent claims against the Licensor or Contributors, or
 *    which would in any way restrict the ability of any third party to use the
 *    Licensed Software.
 *
 * You must:
 * a) Document any modifications you make to this code including the nature of
 *    the change, the authors of the change, and the date of the change.
 * b) Make the source code for any extensions you deploy available via an
 *    Electronic Distribution Mechanism such as FTP or HTTP download.
 * c) Notify the licensor of the availability of source code to your extensions
 *    and include instructions on how to acquire the source code and updates.
 * d) Grant Licensor a world-wide, non-exclusive, royalty-free license to use,
 *    reproduce, perform, modify, sublicense, and distribute your extensions.
 *
 * The Original Code is: CommuniCore
 *                       Olavo Farias
 *                       2006-04-7 olavo.farias@gmail.com
 *
 * The Initial Developer of the Original Code is CommuniCore.
 * Portions created by CommuniCore are Copyright (C) 2005 CommuniCore Ltda
 *
 * All Rights Reserved.
 * ****************************************************************************** */

$json = getJSONobj();

$pll = $sll = $ill = array();
$i = $j = $k = 0;

// Article/Item type items.
while (isset($_POST['p_' . $i])) {
    $pll[] = $json->decode(htmlspecialchars_decode($_POST['p_' . $i]));
    $_POST['p_' . $i] = '';
    $i++;
}

// Service type items.
while (isset($_POST['s_' . $j])) {
    $sll[] = $json->decode(htmlspecialchars_decode($_POST['s_' . $j]));
    $_POST['s_' . $j] = '';
    $j++;
}

// Income type items.
while (isset($_POST['i_' . $k])) {
    $ill[] = $json->decode(htmlspecialchars_decode($_POST['i_' . $k]));
    $_POST['i_' . $k] = '';
    $k++;
}

$_POST = $json->decode(htmlspecialchars_decode($_POST['otherFormData']));

$_POST['position_list'] = $pll;
$_POST['services_list'] = $sll;
$_POST['income_list'] = $ill;

// Get ridd of hashes in encoded by javascript json string.
$_POST['history'] = $json->decode(htmlspecialchars_decode($_POST['history']));
$_POST['history'] = array_values(array_filter($_POST['history'], 'is_array'));

//echo var_export($_POST['history'], true);
//return;

$_POST['history'] = $json->encode($_POST['history']);

$_REQUEST = $_POST;

require_once('modules/EcmServices/EcmService.php');
require_once('include/formbase.php');

$focus = new EcmService();

if (isset($_POST['record']) && $_POST['record'] != '') {
    $focus->retrieve($_POST['record']);
}

if (!$focus->ACLAccess('Save')) {
    ACLController::displayNoAccess(true);
    sugar_cleanup(true);
}

$check_notify = FALSE;

foreach ($focus->column_fields as $field) {
    if (isset($_POST[$field])) {
        $value = $_POST[$field];
        $focus->$field = $value;
    }
}

foreach ($focus->additional_column_fields as $field) {
    if (isset($_POST[$field])) {
        $value = $_POST[$field];
        $focus->$field = $value;
    }
}

if (isset($_POST['to_is_vat_free']) && $_POST['to_is_vat_free'])
    $focus->to_is_vat_free = 1;
else
    $focus->to_is_vat_free = 0;

$pl = $_POST['position_list'];
$sl = $_POST['services_list'];
$il = $_POST['income_list'];

//echo var_export($pl);
//exit;

$focus->position_list = $pl;
$focus->services_list = $sl;
$focus->income_list = $il;

//echo var_export($focus->history, true);exit;
//return;

//if($focus->status != 'closed')
    $focus->save($check_notify);

if($_POST['stock_doc_inside_in'])
    $focus->saveStockDocInsideIn();

$return_id = $focus->id;

//echo 'KONIEC';
echo $return_id;
die();
//handleRedirect($return_id,'EcmServices');